﻿using System;

namespace ELTE.TravelAgency.Models
{
    /// <summary>
    /// Foglalással kapcsolatos információk.
    /// </summary>
    public class RentViewModel
    {
        /// <summary>
        /// Vendég neve.
        /// </summary>
        public String GuestName { get; set; }

        /// <summary>
        /// Vendég e-mail címe.
        /// </summary>
        public string GuestEmail { get; set; }
        
        /// <summary>
        /// Vendég címe.
        /// </summary>
        public String GuestAddress { get; set; }
        
        /// <summary>
        /// Vendég telefonszáma.
        /// </summary>
        public String GuestPhoneNumber { get; set; }

        /// <summary>
        /// Apartman.
        /// </summary>
        public Apartment Apartment { get; set; }

        /// <summary>
        /// Foglalás kezdete.
        /// </summary>
        public DateTime RentStartDate { get; set; }

        /// <summary>
        /// Foglalás vége
        /// </summary>
        public DateTime RentEndDate { get; set; }

        /// <summary>
        /// Teljes ár.
        /// </summary>
        public Int32 TotalPrice { get; set; }
    }
}